/**************************************************************************
	LGBPushButton
	
	Public domain, by Zig Zichterman.
	
	This class implements 3D push buttons according to the guidelines
	suggested in _develop_ 15. Some of the drawing code is taken from
	the public domain source accompanying _develop_ 15.
**************************************************************************/
#pragma once

class LGBPushButton {
	public :
		static long	Main(short inVariation, ControlHandle ioControl,
				short inMsg, long ioParam);

	//  constructor 
	protected :
		LGBPushButton(ControlRecord *inControl, Boolean inUseWFont);
		ControlRecord	*mControl;
		Boolean			mUseWFont;
		
	//  dispatch 
	protected :
		void	Draw(long inPartCode);
		Boolean	Test(Point inHitPt);
		void	CalcCRgn(RgnHandle ioRgn);
		
	//  Draw 
	protected :
		void	DrawBW(void);
		void	DrawColor(void);
		void	DrawColorInactive(void);
		void	DrawColorActive(void);
		void	DrawName(Boolean inDimm1Bit = false);
		void	DrawFrame(void);
		void	EraseInsides(void);
		void	Draw3DEffects(void);
};

